XFIXES(3) | Library Functions Manual | XFIXES(3)

# NAME

XFixes - Augmented versions of core protocol requests

# SYNTAX

#include <X11/extensions/Xfixes.h>

    Bool XFixesQueryExtension (Display * dpy,
    	int * event_base_return, int *error_base_return);

    Status XFixesQueryVersion (Display * dpy,
    	int * major_version_return,
    	int * minor_version_return);

    void XFixesChangeSaveSet (Display *dpy,
    	Window  window,
    	int  mode,
    	int  target,
    	int  map);

# ARGUMENTS

display
  Specifies the connection to the X server.

window
  Specifies which window.

mode
  Specifies the save set operation (SetModeInsert/SetModeDelete).

target
  Specifies the target when executing the save set (SaveSetNearest/SaveSetRoot). In SaveSetNearest mode, the save set member window will be reparented to the nearest window not owned by the save set client. In SaveSetRoot mode, the save set member window will be reparented to the root window.

map
  Specifies the map mode (SaveSetMap/SaveSetUnmap) which selects whether the save setmember window will be mapped or unmapped during save set processing.

# DESCRIPTION

Xfixes is a simple library designed to interface the X Fixes Extension. This extension provides application with work arounds for various limitations in the core protocol.

# RESTRICTIONS

Xfixes will remain upward compatible after the 1.0 release.

# AUTHORS

Keith Packard, member of the XFree86 Project, Inc. and HP, Owen Taylor, member of the Gnome Foundation and Redhat, Inc.

X Version 11 |